<?php
//<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
//sigurnost:
if (!defined('SIGURICA')) die('Nedozvoljen pristup!');
if ($prava_pristup_sadrzaj!=1) die('Nedozvoljen pristup!');

$id_str=$_GET[id_str];
$id_par=$_REQUEST[id_par];

// list expected fields
$expected = array('q_naslov','q_link','q_new_win','id_slika');
// set required fields
$required = array('id_slika');
// create empty array for any missing fields
$missing = array();

// process the $_POST variables
foreach ($_POST as $key => $value) {
	// assign to temporary variable and strip whitespace if not an array
	$temp = is_array($value) ? $value : trim($value);
	// if empty and required, add to $missing array
	if (empty($temp) && in_array($key, $required)) {
		array_push($missing, $key);
	}
	// otherwise, assign to a variable of the same name as $key
	elseif (in_array($key, $expected)) {
		${$key} = $temp;
	}
}
$error='';
$uspjeh='';
if (empty($missing))  {		
	//insert new data in database
	//uredi tekst
	$q_naslov=uredi_var($q_naslov);
	
		
	//pripremi za unos u bazu
	$q_naslov_mysql=mysql_real_escape_string($q_naslov);
	$q_link_mysql=mysql_real_escape_string($q_link);
	
	$result = mysql_query("update b7_paragraf_slike set 
						naslov='$q_naslov_mysql',
						link='$q_link_mysql',
						new_win='$q_new_win',
						user='$log_username',
						datum=now() 
						where id_slika='$id_slika'");
						
	if (!$result) {
		$error.='Dogodila se greška pri zapisu u bazu: '.mysql_error();
	} else {
		$uspjeh.='Uspješno uređena slika u bazi<br />';
		//zapis teksta za tekst i slike
		include ("func/uredi_tekst.php");
		uredi_tekst($id_par,$parametar_domena,$parametar_tekst_direktorij,$conn);
		
		
	}				
	
	

} else {
	$error.='Nisu prosljeđene sve varijable potrebne za upis vijesti u bazu';
}

if ($error) echo '<div class="greska">'.$error.'</div>';
if ($uspjeh) echo '<div class="uspjeh">'.$uspjeh.'</div>';
?>